VSW(4)

NAME
vsw - virtual network switch

SYNOPSIS
vsw* at cbus?
vnet* at vsw?

DESCRIPTION
The vsw driver provides a network switch using the services provided by the UltraSPARC Hypervisor as found on sun4v systems. It attaches a separate vnet(4) interface for each switch port. These ports can be added to a bridge(4) to create a functional network switch.

The vsw driver supports version 1.0 of the vNet protocol.

SEE ALSO
bridge(4), cbus(4), intro(4), netintro(4)

HISTORY
The vsw driver first appeared in OpenBSD 4.7.

AUTHORS
The vsw driver was written by Mark Kettenis <kettenis@openbsd.org>.